/*======================================================================*/
/*  TIGA XY Memory Manager                                              */
/*  Version 1.0     August 15, 1991                                     */
/*======================================================================*/

/*----------------------------------------------------------------------*/
/*  Module numbers returned by install_rlm()                            */
/*----------------------------------------------------------------------*/
unsigned short xymm, xymm_support;

/*----------------------------------------------------------------------*/
/*  XYMM_BLOCK type definition, used by xymm_info() function.           */
/*----------------------------------------------------------------------*/
typedef struct
{
    unsigned long   address;
    short           width;
    short           height;
} XYMM_BLOCK;

/*----------------------------------------------------------------------*/
/*  Function call definitions                                           */
/*----------------------------------------------------------------------*/
#define xymm_init(p,w)              \
    cp_ret(USER_CP(xymm),2,_WORD(p),_WORD(w))
#define xymm_alloc(w,h)             \
    cp_ret(USER_CP(xymm|1),2,_WORD(w),_WORD(h))
#define xymm_free(h)                \
    cp_ret(USER_CP(xymm|2),1,_WORD(h))
#define xymm_realloc(handle,w,h)    \
    cp_ret(USER_CP(xymm|3),3,_WORD(handle),_WORD(w),_WORD(h))
#define xymm_maxblock(m,pw,ph)      \
    cp_alt(USER_CP(xymm|4),3,_WORD(m),_ALTWORD_PTR(1,pw),_ALTWORD_PTR(2,ph))
#define xymm_info(h,ps)             \
    cp_alt(USER_CP(xymm|5),2,_WORD(h),_ALTBYTE_PTR(sizeof(XYMM_BLOCK),ps))

#define xymm_set_cliprect(h)        \
    cp_ret(USER_CP(xymm_support),1,_WORD(h))
#define xymm_bitblt(sh,dh,w,h,sx,sy,dx,dy)  \
    cp_cmd(USER_CP(xymm_support|1),8,_WORD(sh),_WORD(dh),_WORD(w),_WORD(h),_WORD(sx),_WORD(sy),_WORD(dx),_WORD(dy))
