@ECHO OFF
ECHO.
ECHO                      ELSA P-CAD MD V6/V7 Driver Options
ECHO.
ECHO                  to be set via ELSADRV environment variable
ECHO.
ECHO      /B n     - set Gemini I/O base address to n                   [0x120]
ECHO      /BG      - Bold grid                                            [Off]
ECHO      /DCD n   - set double click delay to n                   (3..8)   [4]
ECHO      /DL n    - set size of display list memory to n KB   [half of memory]
ECHO      /DMP     - dynamic menu posting on                              [Off]
ECHO      /LSM     - assign layerset menu to Alt-left mouse button   [Bird Eye]
ECHO      /MSZ n   - set birdseye-/layerset menu size to n         (6..10)  [8]
ECHO      /NCR     - no confirmation of driver /REGN command              [Off]
ECHO      /P       - loads file C:\PCAD\DRV\DELSAGMI.PAL into color palette
ECHO      /PF name - same as /P command, but loads file 'name'
ECHO      /PRG n   - set pan range to n percent of screen size     (1..99) [50]
ECHO      /Q       - quiet mode suppresses copyright message              [Off]
ECHO      /TSP     - set transparent mode on                              [Off]
ECHO      /UDC     - use driver cursor                                    [Off]
ECHO      /VPC n   - set birdseye viewport color to n              (0..n)   [4]
ECHO      /VM n    - set video mode n (Gemini10/200 only)          (0..15)  [0]
ECHO      /ZSC n   - set zoom scale to n percent of screen size    (1..99) [55]
ECHO      with:      (ff..tt) is the possible range, [dd] is the default value
ECHO.
ECHO      Example:   SET ELSADRV=c:\pcad\drv /tsp /dl4096 /pf colors.pal
